# Poco::Util

# class LocalConfigurationView

Library: Util
Package: Configuration
Header: Poco/Util/LocalConfigurationView.h

## Description

This configuration implements a "view" into a sub-hierarchy of another configuration.

For example, given a configuration with the following properties: config.value1 config.value2 config.sub.value1 config.sub.value2 and a LocalConfigurationView with the prefix "config", then the above properties will be available via the view as value1 value2 sub.value1 sub.value2

A LocalConfigurationView is most useful in combination with a LayeredConfiguration.

The LocalConfigurationView only searches for the properties in the viewed Space.

## Inheritance

Direct Base Classes: AbstractConfiguration

All Base Classes: Poco::RefCountedObject, AbstractConfiguration

## Member Summary

Member Functions: enumerate, getRaw, removeRaw, setRaw, translateKey

Inherited Functions: createLocalView, createView, duplicate, enableEvents, enumerate, eventsEnabled, expand, getBool, getDouble, getInt, getInt64, getRaw, getRawString, getString, getUInt, getUInt64, has, hasOption, hasProperty, keys, parseBool, parseInt, parseInt64, parseUInt, parseUInt64, referenceCount, release, remove, removeRaw, setBool, setDouble, setInt, setInt64, setRaw, setRawWithEvent, setString, setUInt, setUInt64

## Constructors

### LocalConfigurationView

LocalConfigurationView(
const std::string & prefix,
AbstractConfiguration::Ptr pConfig
);

Creates the LocalConfigurationView. The LocalConfigurationView retains (shared) ownership of the passed configuration.

## Destructor

### ~LocalConfigurationView

~LocalConfigurationView();

## Member Functions

### enumerate

void enumerate(
const std::string & key,
Keys & range
) const;

See also: Poco::Util::AbstractConfiguration::enumerate()

### getRaw

bool getRaw(
const std::string & key,
std::string & value
) const;

See also: Poco::Util::AbstractConfiguration::getRaw()

### removeRaw

void removeRaw(
const std::string & key
);

See also: Poco::Util::AbstractConfiguration::removeRaw()

### setRaw

void setRaw(
const std::string & key,
const std::string & value
);

See also: Poco::Util::AbstractConfiguration::setRaw()

### translateKey

std::string translateKey(
const std::string & key
) const;